Last Comment Bug 544661 - Wrap the message pane in a hbox just like Thunderbird (Bug 544162)
: Wrap the message pane in a hbox just like Thunderbird (Bug 544162)
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Philip Chee
:
Mentors:
Depends on: 652470
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-06 07:16 PST by Philip Chee
Modified: 2011-04-24 16:20 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 straight port. (2.42 KB, patch)
2010-02-06 07:21 PST, Philip Chee
mnyromyr: review+
neil: superreview+
Details | Diff | Splinter Review
hg qdiff -b (1.52 KB, patch)
2010-02-06 07:23 PST, Philip Chee
no flags Details | Diff | Splinter Review

Description Philip Chee 2010-02-06 07:16:03 PST
From Bug 544162 Comment 0:

> It would make a number of extensions possible if we had a wrapping box around
> the message reader elements.  The goal is to be able to offer a side bar which
> could contain extra meta information about a message.  To do this we should
> wrap all the elements we feel "contain" the message.  I'm avoiding wrapping the
> message header because of it's size and the existing problem with moving the
> buttons around overrunning the header text.
> 
> One current example is the Data Miners extension.  Data Miners has extra
> information about the message like attachments, links, phone numbers, email
> addresses, and other various interesting pieces we can recognize.
Comment 1 Philip Chee 2010-02-06 07:21:31 PST
Created attachment 425643 [details] [diff] [review]
Patch v1.0 straight port.

Initial patch.
Comment 2 Philip Chee 2010-02-06 07:23:33 PST
Created attachment 425644 [details] [diff] [review]
hg qdiff -b

hg qdiff with the -b ignore whitespace changes flag.
Comment 3 Karsten Düsterloh 2010-02-15 14:34:55 PST
Comment on attachment 425643 [details] [diff] [review]
Patch v1.0 straight port.

Of course, this is nothing for the 2.0.x series...
Comment 4 Philip Chee 2010-02-15 17:58:46 PST
> Of course, this is nothing for the 2.0.x series...
Of course!
Comment 5 Justin Wood (:Callek) 2010-03-03 20:05:17 PST
Pushed to c-c: http://hg.mozilla.org/comm-central/rev/f0b53e1dea66

Note You need to log in before you can comment on or make changes to this bug.